Yet Another HTTP Library: YaHTTP::Utility Class Reference

Yet Another HTTP Library yahttp

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Static Public Member Functions | List of all members
YaHTTP::Utility Class Reference

`#include <utility.hpp>`

## Static Public Member Functions
static std::string | decodeURL (const std::string &component)
static std::string | encodeURL (const std::string &component, bool asUrl=true)
static std::string | encodeURL (const std::wstring &component, bool asUrl=true)
static std::string | status2text (int status)
static strstr_map_t | parseUrlParameters (std::string parameters)
static bool | iequals (const std::string &a, const std::string &b, size_t length)
static bool | iequals (const std::string &a, const std::string &b)
static void | trimLeft (std::string &str)
static void | trimRight (std::string &str)
static void | trim (std::string &str)
static std::string | camelizeHeader (const std::string &str)

## Detailed Description

Various helpers needed in the code

## Member Function Documentation

static std::string YaHTTP::Utility::camelizeHeader | ( | const std::string & | str | ) |
| inlinestatic

static std::string YaHTTP::Utility::decodeURL | ( | const std::string & | component | ) |
| inlinestatic

static std::string YaHTTP::Utility::encodeURL | ( | const std::string & | component,
|  | bool | asUrl = `true`
| ) |  |
| inlinestatic

static std::string YaHTTP::Utility::encodeURL | ( | const std::wstring & | component,
|  | bool | asUrl = `true`
| ) |  |
| inlinestatic

static bool YaHTTP::Utility::iequals | ( | const std::string & | a,
|  | const std::string & | b,
|  | size_t | length
| ) |  |
| inlinestatic

static bool YaHTTP::Utility::iequals | ( | const std::string & | a,
|  | const std::string & | b
| ) |  |
| inlinestatic

static strstr_map_t YaHTTP::Utility::parseUrlParameters | ( | std::string | parameters | ) |
| inlinestatic

static std::string YaHTTP::Utility::status2text | ( | int | status | ) |
| inlinestatic

static void YaHTTP::Utility::trim | ( | std::string & | str | ) |
| inlinestatic

static void YaHTTP::Utility::trimLeft | ( | std::string & | str | ) |
| inlinestatic

static void YaHTTP::Utility::trimRight | ( | std::string & | str | ) |
| inlinestatic

The documentation for this class was generated from the following file:

- /home/cmouse/projects/libyahttp/yahttp/utility.hpp